# GLM: glm::core::function::vector_relational Namespace Reference

# glm::core::function::vector_relational Namespace Reference

Define vector relational functions from Section 8.3 of GLSL 1.30.8 specification. Included in glm namespace. More...

## Functions

template<typename vecType >
bool | all (vecType const &x)
| Returns true if all components of x are true.
template<typename vecType >
bool | any (vecType const &x)
| Returns true if any component of x is true.
template<typename vecType >
vecType::bool_type | equal (vecType const &x, vecType const &y)
| Returns the component-wise compare of x == y.
template<typename vecType >
vecType::bool_type | greaterThan (vecType const &x, vecType const &y)
| Returns the component-wise compare of x > y.
template<typename vecType >
vecType::bool_type | greaterThanEqual (vecType const &x, vecType const &y)
| Returns the component-wise compare of x >= y.
template<typename vecType >
vecType::bool_type | lessThan (vecType const &x, vecType const &y)
| Returns the component-wise compare of x < y.
template<typename vecType >
vecType::bool_type | lessThanEqual (vecType const &x, vecType const &y)
| Returns the component-wise compare of x <= y.
template<typename vecType >
vecType::bool_type | not_ (vecType const &x)
| Returns the component-wise logical complement of x.
template<typename vecType >
vecType::bool_type | notEqual (vecType const &x, vecType const &y)
| Returns the component-wise compare of x != y.

## Detailed Description

Define vector relational functions from Section 8.3 of GLSL 1.30.8 specification. Included in glm namespace.

## Function Documentation

bool glm::core::function::vector_relational::all | ( | vecType const & | x | ) |

Returns true if all components of x are true.

(From GLSL 1.30.08 specification, section 8.6)

bool glm::core::function::vector_relational::any | ( | vecType const & | x | ) |

Returns true if any component of x is true.

(From GLSL 1.30.08 specification, section 8.6)

vecType::bool_type glm::core::function::vector_relational::equal | ( | vecType const & | x,
|  | vecType const & | y |
| ) |  |  |

Returns the component-wise compare of x == y.

(From GLSL 1.30.08 specification, section 8.6)

vecType::bool_type glm::core::function::vector_relational::greaterThan | ( | vecType const & | x,
|  | vecType const & | y |
| ) |  |  |

Returns the component-wise compare of x > y.

(From GLSL 1.30.08 specification, section 8.6)

vecType::bool_type glm::core::function::vector_relational::greaterThanEqual | ( | vecType const & | x,
|  | vecType const & | y |
| ) |  |  |

Returns the component-wise compare of x >= y.

(From GLSL 1.30.08 specification, section 8.6)

vecType::bool_type glm::core::function::vector_relational::lessThan | ( | vecType const & | x,
|  | vecType const & | y |
| ) |  |  |

Returns the component-wise compare of x < y.

(From GLSL 1.30.08 specification, section 8.6)

vecType::bool_type glm::core::function::vector_relational::lessThanEqual | ( | vecType const & | x,
|  | vecType const & | y |
| ) |  |  |

Returns the component-wise compare of x <= y.

(From GLSL 1.30.08 specification, section 8.6)

vecType::bool_type glm::core::function::vector_relational::not_ | ( | vecType const & | x | ) |

Returns the component-wise logical complement of x.

(From GLSL 1.30.08 specification, section 8.6)

vecType::bool_type glm::core::function::vector_relational::notEqual | ( | vecType const & | x,
|  | vecType const & | y |
| ) |  |  |

Returns the component-wise compare of x != y.

(From GLSL 1.30.08 specification, section 8.6)